#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	docopt
Summary:	Pythonic argument parser, that will make you smile
Summary(pl.UTF-8):	Przyjemny pythonowy parser argumentów
Name:		python-%{module}
Version:	0.6.2
Release:	13
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/docopt/
Source0:	https://files.pythonhosted.org/packages/source/d/docopt/%{module}-%{version}.tar.gz
# Source0-md5:	4bc74561b37fad5d3e7d037f82a4c3b1
URL:		http://docopt.org/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
docopt creates beautiful command-line interfaces.

%description -l pl.UTF-8
docopt tworzy ładne interfejsy linii poleceń.

%package -n python3-%{module}
Summary:	Pythonic argument parser, that will make you smile
Summary(pl.UTF-8):	Przyjemny pythonowy parser argumentów
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
docopt creates beautiful command-line interfaces.

%description -n python3-%{module} -l pl.UTF-8
docopt tworzy ładne interfejsy linii poleceń.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/git/git.py
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}/git/git.py
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE-MIT README.rst
%{py_sitescriptdir}/docopt.py[co]
%{py_sitescriptdir}/docopt-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE-MIT README.rst
%{py3_sitescriptdir}/__pycache__/docopt.cpython-*.py[co]
%{py3_sitescriptdir}/docopt.py
%{py3_sitescriptdir}/docopt-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-docopt.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 1ec4155
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 8044432
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 332dad3
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> e477044
- release 10 (by relup.sh)

* Sun Apr 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 00ba891
- pl, cleanup, fix examples shebangs; release 9

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 10f3ff9
- rebuild with python 3.8
- release 8 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 74e0687
- python 3.7 rebuild
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c4f856
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 1e50348
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4457278
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 26555c5
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 44b8628
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d55012
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> be753fc
- python 3.4
- release 2 (by relup.sh)

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> d0fc539
- new

